[arch-commits] Commit in streamtuner/trunk (PKGBUILD)

andyrtr at archlinux.org andyrtr at archlinux.org
Sun May 4 13:51:10 EDT 2008


    Date: Sunday, May 4, 2008 @ 13:51:10
  Author: andyrtr
Revision: 1300

upgpkg: streamtuner 0.99.99-8
    fix FS#10308

Modified:
  streamtuner/trunk/PKGBUILD

----------+
 PKGBUILD |   16 ++++++++++------
 1 file changed, 10 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-05-04 16:11:33 UTC (rev 1299)
+++ PKGBUILD	2008-05-04 17:51:10 UTC (rev 1300)
@@ -4,7 +4,7 @@
 
 pkgname=streamtuner
 pkgver=0.99.99
-pkgrel=7
+pkgrel=8
 pkgdesc="A stream directory browser"
 arch=('i686' 'x86_64')
 url="http://www.nongnu.org/streamtuner/"
@@ -14,19 +14,23 @@
 replaces=('streamtuner-live365')
 source=(http://savannah.nongnu.org/download/streamtuner/$pkgname-$pkgver.tar.gz \
         http://savannah.nongnu.org/download/streamtuner/streamtuner-0.99.99-live365.diff \
-        http://savannah.nongnu.org/download/streamtuner/streamtuner-0.99.99-pygtk-2.6.diff)
-md5sums=('2027b7c34e85b594524b0b4351c14362' '8aa1994a849b05d2b8fffbda702b8a25'\
-         '7aff45a41c60358cb2332c7ce644f661')
-options=('!libtool')
+        http://savannah.nongnu.org/download/streamtuner/streamtuner-0.99.99-pygtk-2.6.diff
+	streamtuner-0.99.99-shoutcast.diff)
+options=('!libtool' '!emptydirs')
+md5sums=('2027b7c34e85b594524b0b4351c14362'
+         '8aa1994a849b05d2b8fffbda702b8a25'
+         '7aff45a41c60358cb2332c7ce644f661'
+         '1eab6edce130e1a1e5f208cd3ed6766a')
 
 build() {
   cd $startdir/src/$pkgname-$pkgver
   patch -p0 -i $startdir/src/streamtuner-0.99.99-live365.diff || return 1
   patch -p0 -i $startdir/src/streamtuner-0.99.99-pygtk-2.6.diff || return 1
+  # fix http://bugs.archlinux.org/task/10308
+  patch -p0 -i $startdir/src/streamtuner-0.99.99-shoutcast.diff || return 1
   ./configure --prefix=/usr
   make || return 1
   make prefix=$startdir/pkg/usr install
-  rm -r $startdir/pkg/usr/var
 
   #Add license file
   install -Dm0644 $startdir/src/$pkgname-$pkgver/COPYING \





More information about the arch-commits mailing list